/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.apache.commons.lang.StringUtils;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.EstacionSitef;
import com.rjconsultores.ventaboletos.enums.TipoIntegracaoTEF;

/**
 * 
 * @author Desenvolvimento
 */
public class EstacionSitefRender implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		EstacionSitef es = (EstacionSitef) o;

		if (!es.getActivo()) {
			return;
		}
		
		Listcell lc = new Listcell(es.getTipoIntegracao() != null ? es.getTipoIntegracao().toString() : TipoIntegracaoTEF.SITEF.toString());
		lc.setParent(lstm);

		lc = new Listcell(es.getEmpresa().getNombempresa());
		lc.setParent(lstm);
		
		lc = new Listcell(StringUtils.isNotBlank(es.getCnpj()) ? es.getCnpj().toString() : "");
		lc.setParent(lstm);
		
		lc = new Listcell(es.getNumempresa() != null ? es.getNumempresa().toString() : "");
		lc.setParent(lstm);

		lc = new Listcell(es.getNumfilial() != null ? es.getNumfilial().toString() : "");
		lc.setParent(lstm);

		lc = new Listcell(es.getNumpdv() != null ? es.getNumpdv().toString() : "");
		lc.setParent(lstm);
		
		lc = new Listcell(es.getSenhaConfig() != null ? es.getSenhaConfig().toString() : "");
		lc.setParent(lstm);

		lc = new Listcell(es.getIpServidor());
		lc.setParent(lstm);
				
		if(es.getNumeroDeSerie() != null) {
			lc = new Listcell(es.getNumeroDeSerie());
			lc.setParent(lstm);
		}
		
		if(es.getNumeroDeSerie() != null) {
			lc = new Listcell(es.getDescricao());
			lc.setParent(lstm);
		}

		lstm.setValue(es);
	}
}
